Package be.fgov.ehealth.hubservices.core.v2

# Class SelectGetHCPartyPatientConsentType

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.SelectGetHCPartyPatientConsentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class SelectGetHCPartyPatientConsentType extends Object implements Serializable

Java class for SelectGetHCPartyPatientConsentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SelectGetHCPartyPatientConsentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice maxOccurs="2">
               <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v2}PatientIdType" minOccurs="0"/>
               <element name="hcparty" type="{http://www.ehealth.fgov.be/hubservices/core/v2}HCPartyIdType" minOccurs="0"/>
             </choice>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-THERAPEUTICLINK" maxOccurs="unbounded" minOccurs="0"/>
             <element name="begindate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="enddate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SelectGetHCPartyPatientConsentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getBegindate()`
  Gets the value of the begindate property.
  `List<CDTHERAPEUTICLINK>`
  `getCds()`
  Gets the value of the cds property.
  `Instant`
  `getEnddate()`
  Gets the value of the enddate property.
  `List<Serializable>`
  `getPatientsAndHcparties()`
  Gets the value of the patientsAndHcparties property.
  `void`
  `setBegindate(Instant value)`
  Sets the value of the begindate property.
  `void`
  `setEnddate(Instant value)`
  Sets the value of the enddate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SelectGetHCPartyPatientConsentType

    public SelectGetHCPartyPatientConsentType()

- ## Method Details

  - ### getPatientsAndHcparties

    public List<Serializable> getPatientsAndHcparties()
    Gets the value of the patientsAndHcparties property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the patientsAndHcparties property.

    For example, to add a new item, do as follows:

         getPatientsAndHcparties().add(newItem);

    Objects of the following type(s) are allowed in the list `HCPartyIdType` `PatientIdType`

    Returns:
      The value of the patientsAndHcparties property.

  - ### getCds

    public List<CDTHERAPEUTICLINK> getCds()
    Gets the value of the cds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

    For example, to add a new item, do as follows:

         getCds().add(newItem);

    Objects of the following type(s) are allowed in the list `CDTHERAPEUTICLINK`

    Returns:
      The value of the cds property.

  - ### getBegindate

    public Instant getBegindate()
    Gets the value of the begindate property.
    Returns:
      possible object is `String`

  - ### setBegindate

    public void setBegindate(Instant value)
    Sets the value of the begindate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEnddate

    public Instant getEnddate()
    Gets the value of the enddate property.
    Returns:
      possible object is `String`

  - ### setEnddate

    public void setEnddate(Instant value)
    Sets the value of the enddate property.
    Parameters:
      `value` - allowed object is `String`